System.register(["cce:/internal/code-quality/cr.mjs", "cc", "../../../../../model/vo/TriggerActionVo", "../../../../../model/vo/ResourceVo", "../../../../../model/const/EnumDefine", "../../../../element/base/SyncAttributeManger", "../../../../../CourseData"], function (_export, _context) {
  "use strict";

  var _reporterNs, _cclegacy, TriggerActionVo, ResourceVo, TransformAniType, SyncAttributeManger, AttribSync, CourseData, _crd, LogicBaseVo;

  function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

  function _reportPossibleCrUseOfTriggerActionVo(extras) {
    _reporterNs.report("TriggerActionVo", "../../../../../model/vo/TriggerActionVo", _context.meta, extras);
  }

  function _reportPossibleCrUseOfResourceVo(extras) {
    _reporterNs.report("ResourceVo", "../../../../../model/vo/ResourceVo", _context.meta, extras);
  }

  function _reportPossibleCrUseOfLogicType(extras) {
    _reporterNs.report("LogicType", "../../../../../model/const/EnumDefine", _context.meta, extras);
  }

  function _reportPossibleCrUseOfTransformAniType(extras) {
    _reporterNs.report("TransformAniType", "../../../../../model/const/EnumDefine", _context.meta, extras);
  }

  function _reportPossibleCrUseOfLogicComponent(extras) {
    _reporterNs.report("LogicComponent", "../LogicComponent", _context.meta, extras);
  }

  function _reportPossibleCrUseOfBaseElement(extras) {
    _reporterNs.report("BaseElement", "../../../../element/base/BaseElement", _context.meta, extras);
  }

  function _reportPossibleCrUseOfSyncAttributeManger(extras) {
    _reporterNs.report("SyncAttributeManger", "../../../../element/base/SyncAttributeManger", _context.meta, extras);
  }

  function _reportPossibleCrUseOfAttribSync(extras) {
    _reporterNs.report("AttribSync", "../../../../element/base/SyncAttributeManger", _context.meta, extras);
  }

  function _reportPossibleCrUseOfIOutputRegisters(extras) {
    _reporterNs.report("IOutputRegisters", "../../../../../model/const/ITypeDefine", _context.meta, extras);
  }

  function _reportPossibleCrUseOfIResourceInfo(extras) {
    _reporterNs.report("IResourceInfo", "../../../../../model/const/ITypeDefine", _context.meta, extras);
  }

  function _reportPossibleCrUseOfCourseData(extras) {
    _reporterNs.report("CourseData", "../../../../../CourseData", _context.meta, extras);
  }

  return {
    setters: [function (_cceInternalCodeQualityCrMjs) {
      _reporterNs = _cceInternalCodeQualityCrMjs;
    }, function (_cc) {
      _cclegacy = _cc.cclegacy;
    }, function (_modelVoTriggerActionVo) {
      TriggerActionVo = _modelVoTriggerActionVo.default;
    }, function (_modelVoResourceVo) {
      ResourceVo = _modelVoResourceVo.default;
    }, function (_modelConstEnumDefine) {
      TransformAniType = _modelConstEnumDefine.TransformAniType;
    }, function (_elementBaseSyncAttributeManger) {
      SyncAttributeManger = _elementBaseSyncAttributeManger.default;
      AttribSync = _elementBaseSyncAttributeManger.AttribSync;
    }, function (_CourseData) {
      CourseData = _CourseData.default;
    }],
    execute: function () {
      _crd = true;

      _cclegacy._RF.push({}, "0d300dVtwpFBpoagqop71f4", "LogicBaseVo", undefined);

      _export("default", LogicBaseVo = /*#__PURE__*/function () {
        var _proto = LogicBaseVo.prototype;

        /** id*/

        /** 类型*/

        /** 是否可以被执行*/

        /** 注释*/
        /////////////////

        /** 目标元素ID*/

        /** 动画的属性名*/

        /** 时长*/

        /** 目标值*/

        /** 目标位置*/

        /** 目标大小*/

        /** 目标角度*/

        /** 目标透明度*/

        /** 保护时间-默认0为不保护*/

        /**集合的id*/

        /**延迟*/
        ///////////////////////////////////////////////////////////
        ///////////////////////////////////////////////////////////

        /** 可执行组件名称*/

        /** 音频资源*/

        /** 音频资源*/

        /**可执行组件id*/
        // /**可执行组件list*/
        // public m_arrLogicComponentList: Array<LogicComponent>;

        /** 成功是否重复播放效果*/

        /** 成功是否重复播放效果*/

        /** 标签*/

        /** */

        /** 输出值*/
        _proto.destroy = function destroy() {
          if (this.m_TriggerVo) {
            this.m_TriggerVo.destroy();
          }

          if (this.m_voResourceAudio) {
            this.m_voResourceAudio.destroy();
          }
        };

        function LogicBaseVo(data) {
          _defineProperty(this, "m_strId", void 0);

          _defineProperty(this, "m_strType", void 0);

          _defineProperty(this, "m_bCanInvoke", void 0);

          _defineProperty(this, "m_strNote", void 0);

          _defineProperty(this, "m_strTargetId", void 0);

          _defineProperty(this, "m_strPropertyName", void 0);

          _defineProperty(this, "m_nDuration", void 0);

          _defineProperty(this, "TargetValueStr", void 0);

          _defineProperty(this, "m_arrTargetPosition", void 0);

          _defineProperty(this, "m_arrTargetScale", void 0);

          _defineProperty(this, "m_nTargetAngle", void 0);

          _defineProperty(this, "m_nTargetAlpha", void 0);

          _defineProperty(this, "m_nLockedTime", void 0);

          _defineProperty(this, "m_strFatherId", void 0);

          _defineProperty(this, "m_nDelay", void 0);

          _defineProperty(this, "m_TriggerVo", void 0);

          _defineProperty(this, "m_voResourceAudio", void 0);

          _defineProperty(this, "m_iPlayTimes", void 0);

          _defineProperty(this, "m_arrLogicIdList", void 0);

          _defineProperty(this, "m_bIsSucessRepeat", void 0);

          _defineProperty(this, "m_arrPosition", void 0);

          _defineProperty(this, "m_strTag", void 0);

          _defineProperty(this, "m_arrTargetList", void 0);

          _defineProperty(this, "m_arrOutputRegisters", void 0);

          this.init(data);
        }

        _proto.init = function init(data) {
          if (!data) return;
          this.m_strId = data["Id"];
          this.m_strType = data["Type"];
          this.m_bCanInvoke = data["CanInvoke"];
          this.m_strNote = data["Note"]; /////////////////

          this.m_strTargetId = data["TargetId"];
          this.m_strPropertyName = data["PropertyName"];
          this.m_nDelay = data["Delay"];

          if (this.m_nDelay) {
            this.m_nDelay = this.m_nDelay * 1000;
          }

          if (data["IsSucessRepeat"]) {
            this.m_bIsSucessRepeat = data["IsSucessRepeat"];
          }

          if (data["OutputRegisters"]) {
            this.m_arrOutputRegisters = data["OutputRegisters"];
          }

          if (data["Duration"]) {
            this.m_nDuration = Number(data["Duration"]) * 1000;
          }

          if (!this.m_nDuration) this.m_nDuration = 0;

          if (data["LockedTimer"]) {
            this.m_nLockedTime = data["LockedTimer"];
            this.m_nLockedTime = this.m_nLockedTime * 1000;
          }

          if (data["TargetValueStr"]) {
            this.TargetValueStr = data["TargetValueStr"];

            switch (this.m_strPropertyName) {
              case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
                error: Error()
              }), TransformAniType) : TransformAniType).Position:
                this.m_arrTargetPosition = this.TargetValueStr.split(",");
                this.m_arrTargetPosition[0] = Number(this.m_arrTargetPosition[0]);
                this.m_arrTargetPosition[1] = Number(this.m_arrTargetPosition[1]);
                break;

              case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
                error: Error()
              }), TransformAniType) : TransformAniType).Move:
                this.m_arrTargetPosition = this.TargetValueStr.split(",");
                this.m_arrTargetPosition[0] = Number(this.m_arrTargetPosition[0]);
                this.m_arrTargetPosition[1] = Number(this.m_arrTargetPosition[1]);
                break;

              case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
                error: Error()
              }), TransformAniType) : TransformAniType).Angle:
                this.m_nTargetAngle = Number(this.TargetValueStr);
                break;

              case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
                error: Error()
              }), TransformAniType) : TransformAniType).Scale:
                this.m_arrTargetScale = this.TargetValueStr.split(",");
                this.m_arrTargetScale[0] = Number(this.m_arrTargetScale[0]) / 100;
                this.m_arrTargetScale[1] = Number(this.m_arrTargetScale[1]) / 100;
                break;

              case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
                error: Error()
              }), TransformAniType) : TransformAniType).Transparent:
                this.m_nTargetAlpha = Number(this.TargetValueStr) / 100;
                break;

              case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
                error: Error()
              }), TransformAniType) : TransformAniType).Cursor:
                break;

              case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
                error: Error()
              }), TransformAniType) : TransformAniType).Show:
              case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
                error: Error()
              }), TransformAniType) : TransformAniType).Hide:
                break;
            }
          }

          this.m_iPlayTimes = data["PlayTimes"];

          if (data["Audio"]) {
            this.m_voResourceAudio = new (_crd && ResourceVo === void 0 ? (_reportPossibleCrUseOfResourceVo({
              error: Error()
            }), ResourceVo) : ResourceVo)(data["Audio"]);
          } else {
            var audio = {
              ResourceId: "",
              ResourceType: 1
            };
            this.m_voResourceAudio = new (_crd && ResourceVo === void 0 ? (_reportPossibleCrUseOfResourceVo({
              error: Error()
            }), ResourceVo) : ResourceVo)(audio);
            this.m_voResourceAudio.m_voResourceInfo = {};
          }

          if (data["EventList"]) {
            this.m_TriggerVo = new (_crd && TriggerActionVo === void 0 ? (_reportPossibleCrUseOfTriggerActionVo({
              error: Error()
            }), TriggerActionVo) : TriggerActionVo)(data["EventList"], this.m_strId);
          }

          if (data["InvId"]) {
            this.m_arrLogicIdList = data["InvId"].split(",");
          }

          if (data["AccepterPosition"]) {
            this.m_arrPosition = data["AccepterPosition"].split(",");
          }

          this.m_strFatherId = data["FatherId"];
          this.m_arrTargetList = this.getTargetList();
          this.setSyncAttribute();
        };

        _proto.resetToOrigin = function resetToOrigin() {
          if (!this.m_arrLogicIdList) return;

          for (var i = 0; i < this.m_arrLogicIdList.length; i++) {
            var logicComponent = this.getLogicComponent(this.m_arrLogicIdList[i]);
            logicComponent && logicComponent.resetToOrigin();
          }
        }
        /**
         * 获取组件
         */
        ;

        _proto.getLogicComponent = function getLogicComponent(componentId) {
          return (_crd && CourseData === void 0 ? (_reportPossibleCrUseOfCourseData({
            error: Error()
          }), CourseData) : CourseData).instance.pageBox.m_pageVo.m_objInvokeList[componentId];
        }
        /**
         * 根据元素id 获取元素
         */
        ;

        _proto.getElementById = function getElementById(id) {
          return (_crd && CourseData === void 0 ? (_reportPossibleCrUseOfCourseData({
            error: Error()
          }), CourseData) : CourseData).instance.pageBox.elementDic[id];
        }
        /**
         * 设置元素需要同步的属性
         */
        ;

        _proto.setSyncAttribute = function setSyncAttribute() {
          switch (this.m_strPropertyName) {
            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Position:
            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Cursor:
            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Move:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(this.m_strTargetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).x);
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(this.m_strTargetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).y);
              break;

            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Angle:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(this.m_strTargetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).rotation);
              break;

            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Scale:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(this.m_strTargetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).scaleX);
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(this.m_strTargetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).scaleY);
              break;

            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Transparent:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(this.m_strTargetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).alpha);
              break;

            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Show:
            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Hide:
              if (this.m_arrTargetList) {
                for (var i = 0; i < this.m_arrTargetList.length; i++) {
                  (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                    error: Error()
                  }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(this.m_arrTargetList[i], (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                    error: Error()
                  }), AttribSync) : AttribSync).visible);
                }
              }

              break;
          }
        }
        /**
         * 设置元素需要同步的属性
         */
        ;

        _proto.setSyncAttributeById = function setSyncAttributeById(targetId) {
          switch (this.m_strPropertyName) {
            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Position:
            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Cursor:
            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Move:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(targetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).x);
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(targetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).y);
              break;

            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Angle:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(targetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).rotation);
              break;

            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Scale:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(targetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).scaleX);
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(targetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).scaleY);
              break;

            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Transparent:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(targetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).alpha);
              break;

            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Show:
            case (_crd && TransformAniType === void 0 ? (_reportPossibleCrUseOfTransformAniType({
              error: Error()
            }), TransformAniType) : TransformAniType).Hide:
              (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
                error: Error()
              }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(targetId, (_crd && AttribSync === void 0 ? (_reportPossibleCrUseOfAttribSync({
                error: Error()
              }), AttribSync) : AttribSync).visible);
              break;
          }
        }
        /**
         * 设置元素需要同步的属性
         */
        ;

        _proto.setSyncAttributeByIdAndType = function setSyncAttributeByIdAndType(arrTarget, type) {
          if (!arrTarget) return;

          for (var i = 0; i < arrTarget.length; i++) {
            (_crd && SyncAttributeManger === void 0 ? (_reportPossibleCrUseOfSyncAttributeManger({
              error: Error()
            }), SyncAttributeManger) : SyncAttributeManger).I.setSyncAttribute(arrTarget[i], type);
          }
        };

        _proto.getTargetList = function getTargetList() {
          if (!this.m_strTargetId) return [];
          return this.m_strTargetId.split(",");
        };

        return LogicBaseVo;
      }());

      _cclegacy._RF.pop();

      _crd = false;
    }
  };
});
//# sourceMappingURL=LogicBaseVo.js.map